# Endpoints

- [Discovery](https://docs.halosecurity.com/api/endpoints/discovery.md): The discovery endpoints allows you to access the domains and networks being used for discovery, as well as the the discovered hosts and IPs.
- [Target](https://docs.halosecurity.com/api/endpoints/target.md): The Target endpoint allows you to list all targets, get details about targets, and update details of specific targets.
- [Scan](https://docs.halosecurity.com/api/endpoints/scan.md): The Scan endpoint allows you to launch scans, get details about scans, and list/cancel scans that currently in progress.
- [Issue](https://docs.halosecurity.com/api/endpoints/vulnerability.md): The Issue endpoint returns details about discovered issues.
- [Tag](https://docs.halosecurity.com/api/endpoints/tag.md): The Tag endpoint allows you to get a list of tags.
- [Port](https://docs.halosecurity.com/api/endpoints/port.md): The Port endpoint allows you to get a list of port records.
- [DNS](https://docs.halosecurity.com/api/endpoints/dns.md): The DNS endpoint allows you to get a list of DNS records.
- [HTTP](https://docs.halosecurity.com/api/endpoints/http.md): The HTTP endpoint allows you to get a list of HTTP records, and details about specific HTTP records.
- [Whois](https://docs.halosecurity.com/api/endpoints/whois.md): The Whois endpoint allows you to get a list of whois records.
- [Technology](https://docs.halosecurity.com/api/endpoints/technology.md): The Technology endpoint allows you to view information about technology identified on your attack surface.
- [Website](https://docs.halosecurity.com/api/endpoints/website.md): The Website endpoint allows you to list details related to websites
- [Acknowledged](https://docs.halosecurity.com/api/endpoints/acknowledged.md): The Acknowledged endpoint allows you to list, add, and delete acknowledged hostnames, apps, and issues.
- [Event](https://docs.halosecurity.com/api/endpoints/event.md): The Event endpoint allows you to get a list of all events or event types, details about specific events, and delete events.
- [Dark Web](https://docs.halosecurity.com/api/endpoints/dark-web.md)
- [Integration](https://docs.halosecurity.com/api/endpoints/integration.md)
- [PCI](https://docs.halosecurity.com/api/endpoints/pci.md): The PCI endpoint allows you to get a summary of PCI status and start the PCI compliance process.
- [Report](https://docs.halosecurity.com/api/endpoints/report.md): Generate PDF reports.
- [User](https://docs.halosecurity.com/api/endpoints/user.md): The User endpoint provides methods for retrieving and updating information related to your account, as well as inviting new users.
- [Account](https://docs.halosecurity.com/api/endpoints/account.md): The Account endpoint provides methods for listing and adding subscriptions to the current account.
- [Security](https://docs.halosecurity.com/api/endpoints/security.md): The Security endpoint provides methods for viewing various security related metrics over time, such as your risk score.
- [File](https://docs.halosecurity.com/api/endpoints/file.md): The File endpoint allows you to get a list of all files, and delete or retrieve details of a specific file.
- [Work](https://docs.halosecurity.com/api/endpoints/work.md): Get the status of asynchronous work.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.halosecurity.com/api/endpoints.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
